Index: /NEMO/branches/2019/dev_r11708_aumont_PISCES_QUOTA/src/TOP/PISCES/sms_pisces.F90
===================================================================
--- /NEMO/branches/2019/dev_r11708_aumont_PISCES_QUOTA/src/TOP/PISCES/sms_pisces.F90	(revision 12536)
+++ /NEMO/branches/2019/dev_r11708_aumont_PISCES_QUOTA/src/TOP/PISCES/sms_pisces.F90	(revision 12537)
@@ -2,5 +2,5 @@
    !!----------------------------------------------------------------------
    !!                     ***  sms_pisces.F90  ***  
-   !! TOP :   PISCES Source Minus Sink variables
+   !! TOP :   PISCES Source Minus Sink variables are declared and allocated
    !!----------------------------------------------------------------------
    !! History :   1.0  !  2000-02 (O. Aumont) original code
@@ -13,9 +13,7 @@
    PUBLIC
 
-   INTEGER ::   numnatp_ref = -1           !! Logical units for namelist pisces
-   INTEGER ::   numnatp_cfg = -1           !! Logical units for namelist pisces
-   INTEGER ::   numonp      = -1           !! Logical unit for namelist pisces output
-
-   !                                                       !:  PISCES  : silicon dependant half saturation
+   INTEGER ::   numnatp_ref = -1  !: Logical units for namelist pisces
+   INTEGER ::   numnatp_cfg = -1  !: Logical units for namelist pisces
+   INTEGER ::   numonp      = -1  !: Logical unit for namelist pisces output
 
    !!* Model used
@@ -27,45 +25,43 @@
 
    !!*  Time variables
-   INTEGER  ::   nrdttrc           !: ???
-   REAL(wp) ::   rfact , rfactr    !: ???
-   REAL(wp) ::   rfact2, rfact2r   !: ???
-   REAL(wp) ::   xstep             !: Time step duration for biology
-   REAL(wp) ::   ryyss             !: number of seconds per year 
-   REAL(wp) ::   r1_ryyss          !: inverse number of seconds per year 
-
+   INTEGER  ::   nrdttrc          !: ???
+   REAL(wp) ::   rfact , rfactr   !: time step duration (in seconds)
+   REAL(wp) ::   rfact2, rfact2r  !: time step duration (in seconds) when timesplitting is activated for PISCES
+   REAL(wp) ::   xstep            !: Time step duration for biology
+   REAL(wp) ::   ryyss            !: number of seconds per year 
+   REAL(wp) ::   r1_ryyss         !: inverse number of seconds per year 
 
    !!*  Biological parameters 
-   REAL(wp) ::   rno3              !: ???
-   REAL(wp) ::   o2ut              !: ???
-   REAL(wp) ::   po4r              !: ???
-   REAL(wp) ::   rdenit            !: ???
-   REAL(wp) ::   rdenita           !: ???
-   REAL(wp) ::   o2nit             !: ???
-   REAL(wp) ::   wsbio, wsbio2     !: ???
-   REAL(wp) ::   wsbio2max         !: ???
-   REAL(wp) ::   wsbio2scale       !: ???
-   REAL(wp) ::   xkmort            !: ???
-   REAL(wp) ::   ferat3            !: ???
-   REAL(wp) ::   ldocp             !: ???
-   REAL(wp) ::   ldocz             !: ???
-   REAL(wp) ::   lthet             !: ???
-   REAL(wp) ::   no3rat3           !: ???
-   REAL(wp) ::   po4rat3           !: ???
-
+   REAL(wp) ::   rno3             !: C/N stoichiometric ratio
+   REAL(wp) ::   o2ut             !: O2/N stoichiometric ratio for ammonification
+   REAL(wp) ::   po4r             !: C/P stoichiometric ratio
+   REAL(wp) ::   rdenit           !: C/N ratio for denitrification
+   REAL(wp) ::   rdenita          !: C/N ratio for denitrification
+   REAL(wp) ::   o2nit            !: O2/N ratio for nitrification
+   REAL(wp) ::   wsbio, wsbio2    !: Sinking speeds of particles
+   REAL(wp) ::   wsbio2max        !: Maximum sinking speed of the largest particles
+   REAL(wp) ::   wsbio2scale      !: Length scale for the variations of wsbio2
+   REAL(wp) ::   xkmort           !: Mortality half-saturation constant
+   REAL(wp) ::   ferat3           !: Fe/C in heterotrophic organisms
+   REAL(wp) ::   ldocp            !: Ligand production ratio during PP
+   REAL(wp) ::   ldocz            !: Ligand production ratio by grazing
+   REAL(wp) ::   lthet            !: Uptake of ligand by phytoplankton
+   REAL(wp) ::   no3rat3          !: C/N ratio of zooplankton
+   REAL(wp) ::   po4rat3          !: C/P ratio of zooplankton
 
    !!*  diagnostic parameters 
-   REAL(wp) ::  tpp                !: total primary production
-   REAL(wp) ::  t_oce_co2_exp      !: total carbon export
-   REAL(wp) ::  t_oce_co2_flx      !: Total ocean carbon flux
-   REAL(wp) ::  t_oce_co2_flx_cum  !: Cumulative Total ocean carbon flux
-   REAL(wp) ::  t_atm_co2_flx      !: global mean of atmospheric pco2
+   REAL(wp) ::  tpp               !: total primary production
+   REAL(wp) ::  t_oce_co2_exp     !: total carbon export
+   REAL(wp) ::  t_oce_co2_flx     !: Total ocean carbon flux
+   REAL(wp) ::  t_oce_co2_flx_cum !: Cumulative Total ocean carbon flux
+   REAL(wp) ::  t_atm_co2_flx     !: global mean of atmospheric pco2
 
    !!* restoring
-   LOGICAL  ::  ln_pisdmp          !: restoring or not of nutrients to a mean value
-   INTEGER  ::  nn_pisdmp          !: frequency of relaxation or not of nutrients to a mean value
+   LOGICAL  ::  ln_pisdmp         !: restoring or not of nutrients to a mean value
+   INTEGER  ::  nn_pisdmp         !: frequency of relaxation or not of nutrients to a mean value
 
    !!* Mass conservation
-   LOGICAL  ::  ln_check_mass      !: Flag to check mass conservation
-   LOGICAL , PUBLIC ::   ln_ironice   !: boolean for Fe input from sea ice
+   LOGICAL  ::  ln_check_mass     !: Flag to check mass conservation
+   LOGICAL, PUBLIC ::   ln_ironice   !: boolean for Fe input from sea ice
 
    !!*  Biological fluxes for light : variables shared by pisces & lobster
@@ -75,13 +71,13 @@
    REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::  etot_ndcy      !: PAR over 24h in case of diurnal cycle
    REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::  enano, ediat   !: PAR for phyto, nano and diat 
-   REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::  enanom, ediatm !: PAR for phyto, nano and diat 
+   REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::  enanom, ediatm !: mean PAR for phyto, nano and diat 
    REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::  epico          !: PAR for pico
-   REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::  epicom         !: PAR for pico
+   REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::  epicom         !: mean PAR for pico
    REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::  emoy           !: averaged PAR in the mixed layer
    REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:)   ::  heup_01 !: Absolute euphotic layer depth
-   REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:)   ::  xksi  !:  LOBSTER : zooplakton closure
+   REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:)   ::  xksi  !:  Half-saturation con,stant for diatoms
 
    !!*  Biological fluxes for primary production
-   REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:)    ::   xksimax    !: ???
+   REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:)    ::   xksimax    !: Maximum half-saturation constant over the year (Si)
    REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:)  ::   biron      !: bioavailable fraction of iron
    REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:)  ::   plig       !: proportion of iron organically complexed
@@ -92,14 +88,14 @@
 
    !!*  SMS for the organic matter
-   REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   xfracal    !: ??
-   REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   nitrfac    !: ??
-   REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   nitrfac2   !: ??
-   REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   orem       !: ??
-   REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   xdiss      !: ??
+   REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   xfracal    !: Fraction of nanophytoplankton that are calcifying organisms
+   REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   nitrfac    !: OMZ 
+   REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   nitrfac2   !: N depleted indice
+   REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   orem       !: oxic remineralisation
+   REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   xdiss      !: Shear rate
    REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   prodcal    !: Calcite production
-   REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   prodpoc    !: Calcite production
-   REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   conspoc    !: Calcite production
-   REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   prodgoc    !: Calcite production
-   REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   consgoc    !: Calcite production
+   REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   prodpoc    !: POC production
+   REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   conspoc    !: POC consumption
+   REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   prodgoc    !: GOC production
+   REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   consgoc    !: GOC consumption
    REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   blim       !: bacterial production factor
    REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   sizen      !: size of nanophyto
@@ -111,9 +107,9 @@
 
    !!* Variable for chemistry of the CO2 cycle
-   REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   ak13       !: ???
-   REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   ak23       !: ???
-   REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   aksp       !: ???
-   REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   hi         !: ???
-   REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   excess     !: ???
+   REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   ak13       !: Carbonate chemistry constant
+   REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   ak23       !: Carbonate chemistry constant
+   REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   aksp       !: Solubility product of CaCO3
+   REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   hi         !: Proton concentration
+   REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   excess     !: CO3 saturation
    REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   aphscale   !: 
 
@@ -139,5 +135,4 @@
       !!----------------------------------------------------------------------
       ierr(:) = 0
-      !*  Biological fluxes for light : shared variables for pisces & lobster
       ALLOCATE( etot(jpi,jpj,jpk), neln(jpi,jpj), heup(jpi,jpj),    &
         &       heup_01(jpi,jpj) , xksi(jpi,jpj)               ,  STAT=ierr(1) )
@@ -145,15 +140,16 @@
   
       IF( ln_p4z .OR. ln_p5z ) THEN
-         !*  Biological fluxes for light 
+
+         !* Optics
          ALLOCATE(  enano(jpi,jpj,jpk)    , ediat(jpi,jpj,jpk) ,   &
            &        enanom(jpi,jpj,jpk)   , ediatm(jpi,jpj,jpk),   &
            &        etot_ndcy(jpi,jpj,jpk), emoy(jpi,jpj,jpk)  ,  STAT=ierr(2) ) 
 
-         !*  Biological fluxes for primary production
+         !* Biological SMS
          ALLOCATE( xksimax(jpi,jpj)  , biron(jpi,jpj,jpk)      ,  STAT=ierr(3) )
-         !
-         !*  SMS for the organic matter
+
+         ! Biological SMS
          ALLOCATE( xfracal (jpi,jpj,jpk), orem(jpi,jpj,jpk)    ,    &
-            &      nitrfac(jpi,jpj,jpk), nitrfac2(jpi,jpj,jpk) ,    &
+            &      nitrfac(jpi,jpj,jpk) , nitrfac2(jpi,jpj,jpk),    &
             &      prodcal(jpi,jpj,jpk) , xdiss   (jpi,jpj,jpk),    &
             &      prodpoc(jpi,jpj,jpk) , conspoc(jpi,jpj,jpk) ,    &
@@ -161,18 +157,19 @@
             &      blim   (jpi,jpj,jpk) ,                         STAT=ierr(4) )
 
-         !* Variable for chemistry of the CO2 cycle
-         ALLOCATE( ak13  (jpi,jpj,jpk) ,                            &
+         !* Carbonate chemistry
+         ALLOCATE( ak13  (jpi,jpj,jpk)  ,                           &
             &      ak23(jpi,jpj,jpk)    , aksp  (jpi,jpj,jpk) ,     &
             &      hi  (jpi,jpj,jpk)    , excess(jpi,jpj,jpk) ,     &
             &      aphscale(jpi,jpj,jpk),                         STAT=ierr(5) )
          !
-         !* Temperature dependancy of SMS terms
+         !* Temperature dependency of SMS terms
          ALLOCATE( tgfunc (jpi,jpj,jpk) , tgfunc2(jpi,jpj,jpk),     &
             &      tgfunc3(jpi,jpj,jpk) , STAT=ierr(6) )
          !
-         !* Sinkong speed
+         !* Sinking speed
          ALLOCATE( wsbio3 (jpi,jpj,jpk) , wsbio4 (jpi,jpj,jpk),     &
             &                             STAT=ierr(7) )   
          ! 
+         !* Prognostic ligand
          IF( ln_ligand ) THEN
            ALLOCATE( plig(jpi,jpj,jpk)  ,                         STAT=ierr(8) )
@@ -181,5 +178,5 @@
       !
       IF( ln_p5z ) THEN
-         !       
+         ! PISCES-QUOTA specific part      
          ALLOCATE( epico(jpi,jpj,jpk)   , epicom(jpi,jpj,jpk) ,   STAT=ierr(9) ) 
 
Index: /NEMO/branches/2019/dev_r11708_aumont_PISCES_QUOTA/src/TOP/PISCES/trcini_pisces.F90
===================================================================
--- /NEMO/branches/2019/dev_r11708_aumont_PISCES_QUOTA/src/TOP/PISCES/trcini_pisces.F90	(revision 12536)
+++ /NEMO/branches/2019/dev_r11708_aumont_PISCES_QUOTA/src/TOP/PISCES/trcini_pisces.F90	(revision 12537)
@@ -3,4 +3,5 @@
    !!                         ***  MODULE trcini_pisces  ***
    !! TOP :   initialisation of the PISCES biochemical model
+   !!         This module is for LOBSTER, PISCES and PISCES-QUOTA
    !!======================================================================
    !! History :    -   !  1988-07  (E. Maier-Reiner) Original code
@@ -37,6 +38,8 @@
       !!
       !! ** Purpose :   Initialisation of the PISCES biochemical model
-      !!----------------------------------------------------------------------
-      !
+      !!                Allocation of the dynamic arrays
+      !!----------------------------------------------------------------------
+      !
+      ! Read the PISCES namelist
       CALL trc_nam_pisces
       !
@@ -54,5 +57,5 @@
       !! ** Purpose :   Initialisation of the PISCES biochemical model
       !!----------------------------------------------------------------------
-      USE p4zsms          ! Main P4Z routine
+      USE p4zsms          !  Main P4Z routine
       USE p4zche          !  Chemical model
       USE p4zsink         !  vertical flux of particulate matter due to sinking
@@ -111,7 +114,9 @@
       ierr = ierr +  p4z_lim_alloc()
       IF( ln_p4z ) THEN
+         ! PISCES part
          ierr = ierr +  p4z_prod_alloc()
          ierr = ierr +  p4z_meso_alloc()
       ELSE
+         ! PISCES-QUOTA part
          ierr = ierr +  p5z_lim_alloc()
          ierr = ierr +  p5z_prod_alloc()
@@ -128,4 +133,5 @@
 
       ! assign an index in trc arrays for each prognostic variables
+      ! This is based on the information read in the namelist_top
       DO jn = 1, jptra
         cltra = ctrcnm(jn) 
@@ -177,13 +183,13 @@
       ! Set biological ratios
       ! ---------------------
-      rno3    =  16._wp / 122._wp
-      po4r    =   1._wp / 122._wp
-      o2nit   =  32._wp / 122._wp
-      o2ut    = 133._wp / 122._wp
-      rdenit  =  ( ( o2ut + o2nit ) * 0.80 - rno3 - rno3 * 0.60 ) / rno3
-      rdenita =   3._wp /  5._wp
+      rno3    =  16._wp / 122._wp   ! C/N
+      po4r    =   1._wp / 122._wp   ! C/P
+      o2nit   =  32._wp / 122._wp   ! O2/C for nitrification
+      o2ut    = 133._wp / 122._wp   ! O2/C for ammonification
+      rdenit  =  ( ( o2ut + o2nit ) * 0.80 - rno3 - rno3 * 0.60 ) / rno3  ! Denitrification
+      rdenita =   3._wp /  5._wp    ! Denitrification
       IF( ln_p5z ) THEN
-         no3rat3 = no3rat3 / rno3
-         po4rat3 = po4rat3 / po4r
+         no3rat3 = no3rat3 / rno3   ! C/N ratio in zooplankton
+         po4rat3 = po4rat3 / po4r   ! C/P ratio in zooplankton
       ENDIF
 
@@ -250,7 +256,9 @@
       CALL p4z_opt_init          !  Optic: PAR in the water column
       IF( ln_p4z ) THEN
+         ! PISCES part
          CALL p4z_lim_init       !  co-limitations by the various nutrients
          CALL p4z_prod_init      !  phytoplankton growth rate over the global ocean.
       ELSE
+         ! PISCES-QUOTA part
          CALL p5z_lim_init       !  co-limitations by the various nutrients
          CALL p5z_prod_init      !  phytoplankton growth rate over the global ocean.
Index: /NEMO/branches/2019/dev_r11708_aumont_PISCES_QUOTA/src/TOP/PISCES/trcnam_pisces.F90
===================================================================
--- /NEMO/branches/2019/dev_r11708_aumont_PISCES_QUOTA/src/TOP/PISCES/trcnam_pisces.F90	(revision 12536)
+++ /NEMO/branches/2019/dev_r11708_aumont_PISCES_QUOTA/src/TOP/PISCES/trcnam_pisces.F90	(revision 12537)
@@ -34,8 +34,10 @@
       !!                     ***  trc_nam_pisces  ***  
       !!
-      !! ** Purpose :   read PISCES namelist
+      !! ** Purpose :  read PISCES namelist. The parameters read here activate
+      !!               different functionalities of PISCES : PISCES, PISCES-QUOTA
+      !!               LOBSTER, variable ligands, sediment module
       !!
-      !! ** input   :   file 'namelist.trc.sms' containing the following
-      !!             namelist: natext, natbio, natsms
+      !! ** input   :  file 'namelist_pisces' containing the following
+      !!             namelist: nampismod
       !!----------------------------------------------------------------------
       INTEGER :: jl, jn
@@ -55,8 +57,8 @@
       IF(lwm) CALL ctl_opn( numonp     , 'output.namelist.pis' , 'UNKNOWN', 'FORMATTED', 'SEQUENTIAL', -1, numout, .FALSE. )
       !
-      REWIND( numnatp_ref )              ! Namelist nampisbio in reference namelist : Pisces variables
+      REWIND( numnatp_ref )              ! Namelist nampismod in reference namelist : Pisces variables
       READ  ( numnatp_ref, nampismod, IOSTAT = ios, ERR = 901)
 901   IF( ios /= 0 )   CALL ctl_nam ( ios , 'nampismod in reference namelist' )
-      REWIND( numnatp_cfg )              ! Namelist nampisbio in configuration namelist : Pisces variables
+      REWIND( numnatp_cfg )              ! Namelist nampismod in configuration namelist : Pisces variables
       READ  ( numnatp_cfg, nampismod, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'nampismod in configuration namelist' )
Index: /NEMO/branches/2019/dev_r11708_aumont_PISCES_QUOTA/src/TOP/PISCES/trcsms_pisces.F90
===================================================================
--- /NEMO/branches/2019/dev_r11708_aumont_PISCES_QUOTA/src/TOP/PISCES/trcsms_pisces.F90	(revision 12536)
+++ /NEMO/branches/2019/dev_r11708_aumont_PISCES_QUOTA/src/TOP/PISCES/trcsms_pisces.F90	(revision 12537)
@@ -3,4 +3,5 @@
    !!                         ***  MODULE trcsms_pisces  ***
    !! TOP :   PISCES Source Minus Sink manager
+   !!         This module is for LOBSTER, PISCES and PISCES-QUOTA
    !!======================================================================
    !! History :   1.0  !  2004-03 (O. Aumont) Original code
@@ -30,5 +31,5 @@
       !!
       !! ** Purpose :   Managment of the call to Biological sources and sinks 
-      !!                routines of PISCES or LOBSTER bio-model
+      !!                routines of PISCES/PISCES-QUOTA or LOBSTER bio-model
       !!
       !!---------------------------------------------------------------------
Index: /NEMO/branches/2019/dev_r11708_aumont_PISCES_QUOTA/src/TOP/trcbc.F90
===================================================================
--- /NEMO/branches/2019/dev_r11708_aumont_PISCES_QUOTA/src/TOP/trcbc.F90	(revision 12536)
+++ /NEMO/branches/2019/dev_r11708_aumont_PISCES_QUOTA/src/TOP/trcbc.F90	(revision 12537)
@@ -153,5 +153,5 @@
                IF(trcdta_bdy(jn,ib)%cn_obc == 'frs' .AND. nn_trcdmp_bdy(ib) /= 0 )  &
                    & CALL ctl_stop( 'trc_bc_ini: Use FRS OR relaxation' )
-               IF(  .NOT.( 0 < nn_trcdmp_bdy(ib)  .AND.  nn_trcdmp_bdy(ib) <= 2 )  )   &
+               IF( .NOT.( 0 <= nn_trcdmp_bdy(ib) .AND. nn_trcdmp_bdy(ib) <= 2 ) ) &
                    & CALL ctl_stop( 'trc_bc_ini: Not a valid option for nn_trcdmp_bdy. Allowed: 0,1,2.' )
             END DO
Index: /NEMO/branches/2019/dev_r11708_aumont_PISCES_QUOTA/src/TOP/trcini.F90
===================================================================
--- /NEMO/branches/2019/dev_r11708_aumont_PISCES_QUOTA/src/TOP/trcini.F90	(revision 12536)
+++ /NEMO/branches/2019/dev_r11708_aumont_PISCES_QUOTA/src/TOP/trcini.F90	(revision 12537)
@@ -235,5 +235,5 @@
       IF( ln_trcdta )   CALL trc_dta_ini( jptra )      ! set initial tracers values
       !
-      IF( ln_my_trc )   CALL trc_bc_ini ( jptra )      ! set tracers Boundary Conditions
+      CALL trc_bc_ini ( jptra )      ! set tracers Boundary Conditions
       !
       !
Index: /NEMO/branches/2019/dev_r11708_aumont_PISCES_QUOTA/src/TOP/trcsms.F90
===================================================================
--- /NEMO/branches/2019/dev_r11708_aumont_PISCES_QUOTA/src/TOP/trcsms.F90	(revision 12536)
+++ /NEMO/branches/2019/dev_r11708_aumont_PISCES_QUOTA/src/TOP/trcsms.F90	(revision 12537)
@@ -21,4 +21,6 @@
    USE trcsms_my_trc      ! MY_TRC  tracers
    USE prtctl_trc         ! Print control for debbuging
+   USE trcbc  , only : trc_bc
+   USE bdy_oce, only : ln_bdy 
 
    IMPLICIT NONE
@@ -55,4 +57,6 @@
       IF( ln_my_trc  )   CALL trc_sms_my_trc ( kt )    ! MY_TRC  tracers
 
+      IF( ln_bdy     )   CALL trc_bc ( kt )
+
       IF(ln_ctl) THEN      ! print mean trends (used for debugging)
          WRITE(charout, FMT="('sms ')")
